##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

#------------------------------------------------------------------------------

#
# Handling name of the Root Dictionary Files
#
CINT  = MonteCarlo

#
#  connect the include files defined in the config.mk file
#
INCLUDES = -I. -I../mbase -I../mmc -I../mhbase -I../mhist -I../mhistmc \
	   -I../mgeom -I../manalysis -I../mtools -I../mfileio          \
           -I../mfilter -I../mdata -I../mfbase

SRCFILES = MMcCollectionAreaCalc.cc \
	   MMcThresholdCalc.cc \
           MMcTimeGenerate.cc \
	   MMcTriggerRateCalc.cc \
	   MMcEnergyEst.cc \
	   MMcWeightEnergySpecCalc.cc

############################################################

all: $(OBJS)

include ../Makefile.rules

mrproper:	clean rmbak
